API referenceATLASi ISP
POST /api/ATLASi/ISP/GetResPortfolioInitialConditions
POST
/api/ATLASi/ISP/GetResPortfolioInitialConditionscurl -X POST "/api/ATLASi/ISP/GetResPortfolioInitialConditions" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": "2026-10-23"
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datastring<date>
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.ATLASi.ISP.CIniConditionsDto
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": {
"minDispatchPeriod": 0,
"maxDispatchPeriod": 0,
"timestep": 0,
"date": "2026-01-15",
"payload": [
{
"entityId": 0,
"entityName": "string",
"powerOutput": 0,
"operatingTime": 0,
"desyncState": true,
"startupType": 1
}
],
"startupTypes": [
{
"id": 0,
"name": "string"
}
]
}
}